Description

History

#1 - 08/09/2017 12:56 AM - Luke Murphey

Cookies are getting saved but they are not getting added back.
On Chrome, the cookies aren't listed after being added.

On Firefox, | get this error: InvalidCookieDomainError.

#2 - 08/09/2017 12:57 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 08/09/2017 05:35 AM - Luke Murphey

Might be this: https:/stackoverflow.com/questions/24919525/how-to-set-a-cookie-to-a-specific-domain-in-selenium-webdriver-with-python

#4 - 08/09/2017 05:59 AM - Luke Murphey

Observations:
e Having the driver open the URL first makes it work
Questions:

e Why does the driver need to open an endpoint first in order to accept cookies?

o https://stackoverflow.com/questions/24919525/how-to-set-a-cookie-to-a-specific-domain-in-selenium-webdriver-with-python

e What is the purpose of all of the calls?
o /login: get forms
o /login: submit form
o /authenticated: to prep for cookies
o /authenticated: to load content with cookies

#5 - 08/09/2017 06:00 AM - Luke Murphey

07/14/2025

1/2



https://stackoverflow.com/questions/24919525/how-to-set-a-cookie-to-a-specific-domain-in-selenium-webdriver-with-python
https://stackoverflow.com/questions/24919525/how-to-set-a-cookie-to-a-specific-domain-in-selenium-webdriver-with-python

First of all, you need to be on the domain that the cookie will be valid for. If you are trying to preset cook
ies before you start interacting with a site and your homepage is large / takes a while to load an alternative

is to find a smaller page on the site (typically the 404 page is small, e.g. http://example.com/some404page) .

http://docs.seleniumhq.org/docs/03_webdriver.jsp#cookies

#6 - 08/09/2017 07:04 AM - Luke Murphey
Need to identify the form: http:/selenium-python.readthedocs.io/locating-elements.html

#7 - 08/09/2017 07:19 AM - Luke Murphey
This is now mostly working with caveats:
1. doFormLogin needs to accept the form_selector
1. It now identifies the submit button within the form
2. Mechanize client ignores the form_selector at the current time
2. The form selector works on the submit button, not the form itself

1. It now identifies the submit button within the form
3. doFormLogin() doesn't throw an exception like | would expect

#8 - 08/09/2017 06:26 PM - Luke Murphey

Todos:

1. [Done] Carry state forward so that the authenticated state can be retained
2. [Done] Have driver hit the URL first so that cookies can be set if the driver is not in a logged-on state

3. Fix the controller as necessary

4. [Done] Have driver properly closed
5.[Done] Need to check to see if the type of the fields are correct in the browser (of type password or text)

#9 - 08/10/2017 06:01 AM - Luke Murphey
I'm really wondering if | should drop the functionality where two clients are used when a browser is used. This is only used for two reasons:

1. To get the response code
2. To get the response time

#10 - 08/10/2017 10:52 PM - Luke Murphey
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
